Bug 1314704 - cannot configure ldap user with full binddn
cannot configure ldap user with full binddn
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Timothy Asir
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 04:55 EST by Martin Kudlej
Modified: 2016-07-01 11:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-03-04 04:55:46 EST
Description of problem:
For authenticated connection to ldap server I use this command:
ldapsearch -D "uid=admin,cn=users,cn=accounts,dc=usmqe,dc=redhat,dc=com" -b "uid=testldap,cn=users,cn=accounts,dc=usmqe,dc=redhat,dc=com" -h usm-ldap_hostname -s sub "(objectclass=*)" "*" -W

but if I configure ldap user in configuration with user "admin" or "uid=admin,cn=users,cn=accounts,dc=usmqe,dc=redhat,dc=com" it stores settings(according message in UI) but there are no users in add LDAP user page.
There is this error in log:

ERROR    ldapauth.go:290 ListExternalUsers Error binding to LDAP Server:ldap://usm-ldap_hostname:389/. error: LDAP::Bind() error (32) : No such object
ERROR    ldapauth.go:290 ListExternalUsers Error binding to LDAP Server:ldap://usm-ldap_hostname.com:389/. error: LDAP::Bind() error (32) : No such object
ERROR    auth.go:186 getExternalUsers Unable to List the users:LDAP::Bind() error (32) : No such object
ERROR    auth.go:186 getExternalUsers] Unable to List the users:LDAP::Bind() error (32) : No such object
[negroni] Completed 500 Internal Server Error in 413.848835ms

Tim's opinion:
<tim__> i think its because user name 'admin' already exist in localauth


Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-10.el7.x86_64
rhscon-ui-0.0.19-1.el7.noarch
rhscon-ceph-0.0.6-10.el7.x86_64

How reproducible:
100%

Expected results:
User for LDAP connection can have same name as existing user in USM.
Comment 1 Timothy Asir 2016-05-05 04:04:28 EDT
Patch sent to upstream for review: https://review.gerrithub.io/275286
Comment 2 Timothy Asir 2016-06-07 01:39:15 EDT
The fix patch available https://review.gerrithub.io/#/c/277201/
This patch provides search attribute (uid/cn) details based on directory service type.
Comment 3 Martin Kudlej 2016-07-01 11:07:29 EDT
Tested with 
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-ui-0.0.43-1.el7scon.noarch
and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.